import { LitElement, PropertyValues } from 'lit';
declare const ChangePassword_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class ChangePassword extends ChangePassword_base {
    static styles: import("lit").CSSResult[];
    passwordRule: {
        lowerCase?: boolean;
        upperCase?: boolean;
        digit?: boolean;
        specialCharacter?: boolean;
        allowRepeat?: boolean;
        useTightPattern?: boolean;
        useLoosePattern?: boolean;
        tightCharacterLength?: number;
        looseCharacterLength?: number;
    };
    form: HTMLFormElement;
    private passwordPattern;
    private passwordHelp;
    render(): import("lit-html").TemplateResult<1>;
    updated(changes: PropertyValues<this>): void;
    languageUpdated(): void;
    submit(): Promise<void>;
    showToast(message: any): void;
}
export {};
